#
# spec file for package python-Cheetah
#
# Copyright (c) 2012 SUSE LINUX Products GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


Name:           python-Cheetah
Version:        2.4.4
Release:        11.3
Url:            http://www.cheetahtemplate.org/
Summary:        Cheetah is a template engine and code generation tool
License:        MIT
Group:          Development/Languages/Python
Source:         http://pypi.python.org/packages/source/C/Cheetah/Cheetah-%{version}.tar.gz
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
BuildRequires:  fdupes
BuildRequires:  python-devel
Provides:       python-cheetah = %{version}
Obsoletes:      python-cheetah < %{version}
%if 0%{?suse_version} && 0%{?suse_version} <= 1110
%{!?python_sitearch: %global python_sitearch %(python -c "from distutils.sysconfig import get_python_lib; print get_python_lib(1)")}
%endif

%description
Cheetah is an open source template engine and code generation tool.

It can be used standalone or combined with other tools and frameworks. Web
development is its principle use, but Cheetah is very flexible and is also being
used to generate C++ game code, Java, sql, form emails and even Python code.

%prep
%setup -q -n Cheetah-%{version}
# Remove she-bang lines for non-executable scripts:
sed -i "1d" cheetah/{Tests/{Unicode,Filters,Parser,Template,Regressions,Cheps,Analyzer,Test,Misc,CheetahWrapper,SyntaxAndOutput,NameMapper,Performance},ImportHooks,Utils/Misc,Servlet,NameMapper,Parser,DirectiveAnalyzer}.py

%build
CFLAGS="%{optflags}" python setup.py build

%install
python setup.py install --prefix=%{_prefix} --root=%{buildroot}
%fdupes %{buildroot}

%files
%defattr(-,root,root,-)
%doc CHANGES LICENSE README.markdown TODO
%{_bindir}/cheetah*
%python_sitearch/*

%changelog
* Fri Jan 20 2012 bwiedemann@suse.com
- Fix obsoletes
* Thu Jan 12 2012 saschpe@suse.de
- Fix macro usage
* Tue Dec 20 2011 idonmez@suse.com
- Regenerate with py2pack
* Wed Dec  7 2011 saschpe@suse.de
- Initial version
